''' cpdctrl_gui/ui/widgets/menubar.py '''
from PyQt6.QtWidgets import QMenuBar


class MenuBar(QMenuBar):
    """
    Initialize the menu bar.

    Args:
        parent: The parent widget.
    """

    def __init__(self, parent=None) -> None:
        super().__init__(parent)
        self.m_file = self.addMenu("File")
        self.m_dev = self.addMenu("Devices")
        # edit_menu = self.addMenu("Edit")
        # view_menu = self.addMenu("View")
        # help_menu = self.addMenu("Help")

        # Add actions to the menus
        # file_menu.addAction(self.parent().topbar.actions_call["Open"]) # type: ignore
        self.m_file.addAction(self.parent().topbar.actions_call["meas_save"]) # type: ignore
        self.m_file.addAction(self.parent().topbar.actions_call["app_exit"]) # type: ignore

        self.m_dev.addAction(self.parent().topbar.actions_call["connect_vmdev"]) # type: ignore
        self.m_dev.addAction(self.parent().topbar.actions_call["connect_leddev"]) # type: ignore
